Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 596533 - SELinux is preventing /usr/bin/passwd "write" access on /etc/passwd-.
SELinux is preventing /usr/bin/passwd "write" access on /etc/passwd-.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:a5d85c989ad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 17:40 EDT by Gen Zhang
Modified: 2010-06-08 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-23.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 15:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gen Zhang 2010-05-26 17:40:19 EDT
Summary:

SELinux is preventing /usr/bin/passwd "write" access on /etc/passwd-.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by passwd. It is not expected that this access
is required by passwd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:accountsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:etc_t:s0
Target Objects                /etc/passwd- [ file ]
Source                        passwd
Source Path                   /usr/bin/passwd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           passwd-0.77-5.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-15.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.4-95.fc13.x86_64 #1 SMP Thu
                              May 13 05:16:23 UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 26 May 2010 22:36:22 BST
Last Seen                     Wed 26 May 2010 22:36:22 BST
Local ID                      e96f1908-524c-4947-9bf3-f433d41d8046
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274909782.366:55198): avc:  denied  { write } for  pid=584 comm="passwd" name="passwd-" dev=sda2 ino=2097274 scontext=system_u:system_r:accountsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1274909782.366:55198): arch=c000003e syscall=77 success=yes exit=0 a0=5 a1=83a a2=1 a3=28 items=0 ppid=27016 pid=584 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=15 comm="passwd" exe="/usr/bin/passwd" subj=system_u:system_r:accountsd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,passwd,accountsd_t,etc_t,file,write
audit2allow suggests:

#============= accountsd_t ==============
allow accountsd_t etc_t:file write;
Comment 1 Daniel Walsh 2010-05-27 14:50:13 EDT
Fixed in selinux-policy-3.7.19-22.fc13.noarch
Comment 2 Fedora Update System 2010-05-28 08:27:49 EDT
selinux-policy-3.7.19-22.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 3 Fedora Update System 2010-05-31 14:19:49 EDT
selinux-policy-3.7.19-22.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-22.fc13
Comment 4 Fedora Update System 2010-06-02 14:11:49 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-23.fc13
Comment 5 Fedora Update System 2010-06-08 15:26:20 EDT
selinux-policy-3.7.19-23.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.